using System.Collections.Generic;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Team : BeWoEntityBase
    {
        public static string PropertyName_Leader = "Leader";

        public static string PropertyName_MemberList = "MemberList";

        public static string PropertyName_Name = "Name";

        private Employee _Leader;

        private IList<Employee> _MemberList;

        private string _Name;

        public Team()
        {
            _Tid = TableID.Team;
        }

        public virtual Employee Leader
        {
            get
            {
                return _Leader;
            }

            set
            {
                if (AreDifferent(_Leader, value))
                {
                    _Leader = value;
                }
            }
        }

        public virtual IList<Employee> MemberList
        {
            get
            {
                return _MemberList ?? (_MemberList = new List<Employee>());
            }

            set
            {
                if (AreDifferent(_MemberList, value))
                {
                    _MemberList = value;
                }
            }
        }

        public virtual string Name
        {
            get
            {
                return _Name;
            }

            set
            {
                if (AreDifferent(_Name, value))
                {
                    _Name = value;
                }
            }
        }
    }
}